D Programming Language 2.0

Last update Wed Aug 1 09:43:20 2012

# core.sync.barrier

The barrier module provides a primitive for synchronizing the progress of a group of threads.

License:
Boost License 1.0

Authors:
Sean Kelly

Source:
core/sync/barrier.d

class Barrier;
  This class represents a barrier across which threads may only travel in groups of a specific size.

  this(uint limit);
    Initializes a barrier object which releases threads in groups of limit in size.

    Parameters:

    uint limit | The number of waiting threads to release in unison.

    Throws:
    SyncException on error.

  void wait();
    Wait for the pre-determined number of threads and then proceed.

    Throws:
    SyncException on error.

Copyright Sean Kelly 2005 - 2009. | Page generated by Ddoc.